%global pypi_name filetype

Name:           python-%{pypi_name}
Version:        1.0.7
Release:        %mkrel 1
Summary:        Infer file type and MIME type of any file/buffer
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/filetype
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Small and dependency free Python package to infer file type and MIME type
checking the magic numbers signature of a file or buffer.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Buildrequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Small and dependency free Python package to infer file type and MIME type
checking the magic numbers signature of a file or buffer.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i -e '/^#!\//, 1d' examples/*.py
rm -rf examples/__init__.py

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/examples

%check
pytest-%{python3_version} -v tests --ignore tests/test_benchmark.py

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst History.md examples
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.0.7-1.mga8
+ Revision: 1644614
- imported package python-filetype

